Subject: Re: [PATCH] (1/5) get rid of useless hashbin in irtty

From: Jeff Garzik <[email-masked]>
Date: Mon, 18 Aug 2003 20:07:58 -0400

Jean Tourrilhes wrote:
> On Mon, Aug 18, 2003 at 12:53:21PM -0400, Jeff Garzik wrote:
> 
>>On Mon, Aug 18, 2003 at 09:50:24AM -0700, Jean Tourrilhes wrote:
>>
>>>	You can use irtty-sir with a cross-over serial cable between
>>>two PCs. IrLAN is a bit flaky and no longer maintained, I would
>>>recommend to try IrNET or RfCOMM.
>>
>>Can we remove IrLAN in 2.6, then?  :)
>>
>>	Jeff
> 
> 
> 	The problem is that we don't have another implementation of
> IrLAN. There are a few devices that talk IrLAN (NetBeamIr, Win95), and
> for those there is no alternative and IrLAN works good enough with
> them (I test it every few months). No need to remove it if it still
> works...

No argument.  IrLAN definitely sounds like it should stay.

> 	If you really are in cleanup mood, you can kill :
> 		o irtty (broken - replaced by irtty-sir + sir-dev)
> 		o toshoboe (no spinlock - replaced by donauboe)
> 		o smc-ircc (flaky - replaced by smsc-ircc2)
> 		o ep7211_ir (obsolete hardware, unmaintained)
> 	Happy ?

hehe :)

Given this list, I would be ok with removing the first three, if you and 
others are ok with it.  If something's been replaced, I don't have any 
problem removing it.  If something doesn't have a replacement, like 
IrLAN or ep7211_ir, Linux generally leans towards not removing that code 
(retrocomputing!), so I was perhaps a bit hasty in suggesting that.  But 
that's why we have discussion ;-)

	Jeff